<?php
//-----------------------------------------------------
// 初期設定
//-----------------------------------------------------

//meta要素のkeywords
//例: イラスト,Illust
//キーワードをカンマ区切りで記述
$keywords = "WordPress,theme,ワードプレス,テーマ,イラストサイト,写真サイト";

//イラスト・写真コンテンツ タイトル
$pictures = "Photo";

//雑記コンテンツ タイトル
$note = "Note";

//雑記コンテンツ スラッグ
$noteSlug = "note";

//コピーライト表記
$copyrights = "Copyright &copy; 2010 Rusica All rights reserved.";

//-----------------------------------------------ここまで

//カスタムヘッダー機能追加
add_custom_image_header('header_style','admin_header_style');
define('HEADER_IMAGE','%s/images/main-image-no.png');
define('HEADER_IMAGE_WIDTH','900');
define('HEADER_IMAGE_HEIGHT','275');
define('NO_HEADER_TEXT',true);

function header_style() {
	return 0;
}

function admin_header_style() {
    ?><style type="text/css">
        #headimg {
            width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
            height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        }
    </style><?php
}

//カスタムメニュー機能追加
register_nav_menus(array('globalnav'=>'グローバルナビ'));

/* イラスト・写真コンテンツ タイトル出力 */
function pictures_title(){
	global $pictures;
	echo $pictures;
}

/* 雑記コンテンツ タイトル出力 */
function note_title(){
	global $note;
	echo $note;
}

/* 雑記コンテンツ 親カテゴリID */
function note_ID() {
	global $noteSlug;
	$mycat = get_category_by_slug($noteSlug);
	return $mycat->term_id;
}

/* 投稿順番 判定 */
function isFirst(){
    global $wp_query;
    return ($wp_query->current_post === 0);
}

function isLast(){
    global $wp_query;
    return ($wp_query->current_post+1 === $wp_query->post_count);
}

function isOdd(){
    global $wp_query;
    return ((($wp_query->current_post+1) % 2) === 1);
}

function isEven(){
    global $wp_query;
    return ((($wp_query->current_post+1) % 2) === 0);
}

//リンクカテゴリーのリストを取得
function getLinkListArray() {
	$linkCategoryArray = array();
	$cats = get_terms('link_category', 'category_name=&include=&orderby=name&order=DESC&hierarchical=0');
	foreach($cats as $value){
		foreach($value as $key => $value2 ){
			if($key == 'name') {
				$linkCategoryArray[] = $value2;
			}
		}
	}
	return $linkCategoryArray;
}

//投稿の画像を一覧表示
function thumb_gallery($max=99, $size="thumbnail"){
	global $post;
	$args = array(
		'post_type' => 'attachment',
		'numberposts' => $max,
		'post_status' => inherit,
		'post_parent' => $post->ID,
		'post_mime_type' => 'image',
		'orderby' => 'menu_order ID',
		);
	$attachments = get_posts($args);
	if (is_array($attachments)) {
		 echo '<ul class="gallery">';
		foreach ($attachments as $attachment) {
			echo '<li class="detail_thumb">';
			echo '<a href="'.$attachment->guid.'" class="colorbox" title="'.$attachment->post_title.'">'.wp_get_attachment_image($attachment->ID,$size)."</a>";
			echo "</li>";
		}
		 echo "</ul>";
	}
}

//ページナビゲーション
function bmPageNavi() {
	global $wp_rewrite;
	global $wp_query;
	global $paged;

	$paginate_base = get_pagenum_link(1);

	if(($wp_query->max_num_pages) > 1):
		if (strpos($paginate_base, '?') || ! $wp_rewrite->using_permalinks()) {
			$paginate_format = '';
			$paginate_base = add_query_arg('paged', '%#%');
		} else {
			$paginate_format = (substr($paginate_base, -1 ,1) == '/' ? '' : '/') .
			user_trailingslashit('page/%#%/', 'paged');;
			$paginate_base .= '%_%';
		}
		$result = paginate_links( array(
			'base' => $paginate_base,
			'format' => $paginate_format,
			'total' => $wp_query->max_num_pages,
			'mid_size' => 5,
			'current' => ($paged ? $paged : 1),
		));
		echo '<ul class="pageNav"><li>'.$result.'</li></ul>';
	endif;
}

//カスタム投稿タイプ(イラスト・写真)
register_post_type(
	'pictures',
	array(
		'label' => 'イラスト・写真',
		'labels' => array(
			'name' => 'イラスト・写真',
			'singular_name' => 'イラスト・写真',
			'add_new_item' => 'イラスト・写真を追加',
			'add_new' => '新規追加',
			'new_item' => '新規製品',
			'view_item' => 'イラスト・写真を表示',
			'not_found' => 'イラスト・写真は見つかりませんでした',
			'not_found_in_trash' => 'イラスト・写真に製品はありません。',
			'search_items' => 'イラスト・写真を検索'
		),
		'hierarchical' => false,
		'menu_position' => 5,
		'public' => true,
		'query_var' => false,
		'supports' => array('title','editor','thumbnail'),
		'has_archive' => true
	)
);

//カスタム分類追加(イラスト・写真用)
register_taxonomy(
	'picture-tags',
	'pictures',
	array(
		'label' => '分類タグ',
		'hierarchical' => false
	)
);

//カスタム分類を管理画面の一覧に表示
add_filter('manage_edit-pictures_columns', 'my_pictures_columns');
function my_pictures_columns($columns){
	$columns = array(
		'cb' => '<input type="checkbox" />',
		'title' => 'タイトル',
		'tags1' => '分類タグ',
		'author' => '投稿者',
		'date' => '日付'
	);	
	return $columns;
}

add_action('manage_posts_custom_column', 'my_pictures_column');
function my_pictures_column($column){
	global $post;
	if('tags1' == $column) {
		$tagsArray = get_the_terms($id, 'picture-tags');
		if ( !empty( $tagsArray ) ) {
			$out = array();
			foreach( $tagsArray as $term) {
				$out[] = "<a href='edit.php?post_type={$post->post_type}&amp;picture-tags={$term->slug}'> " . esc_html(sanitize_term_field('name', $term->name, $term->term_id, 'picture-tags', 'display')) . "</a>";
			}
			echo join( ', ', $out );
		} else {
			_e('Uncategorized');
		}
	}
}


/* サムネイルサイズ追加 */
add_theme_support( 'post-thumbnails', array('pictures') );
set_post_thumbnail_size( 100, 100, true );
add_image_size( 'p-thumbnail-s', 120, 120, true );
add_image_size( 'p-thumbnail-l', 300, 300, true );

//カスタム投稿タイプをFeedに追加
function myfeed_request($qv) {
	if (isset($qv['feed']) && !isset($qv['post_type']))
		$qv['post_type'] = array('post', 'pictures');
	return $qv;
}
add_filter('request', 'myfeed_request');

//wp-head整理
//remove_action('wp_head', 'feed_links_extra',3,0);
remove_action('wp_head', 'rsd_link');
remove_action('wp_head', 'wlwmanifest_link');
remove_action('wp_head', 'index_rel_link');
remove_action('wp_head', 'parent_post_rel_link', 10, 0);
remove_action('wp_head', 'start_post_rel_link', 10, 0);
remove_action('wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);
remove_action('wp_head', 'locale_stylesheet');
remove_action('wp_head', 'wp_print_styles', 8);
remove_action('wp_head', 'wp_print_head_scripts', 9);
remove_action('wp_head', 'wp_generator');
remove_action( 'wp_head', 'wp_shortlink_wp_head', 10, 0 );
remove_action('wp_head', 'rel_canonical');
remove_action('wp_head', 'wp_enqueue_scripts', 1);
?>